#include "header\gba.h"
#include "header\bg.h"
#include "header\timer.h"
#include "header\dma.h"
#include "header\irq.h"
#include "header\sound.h"
#include "header\sprite.h"
#include "header\blend.h"

#include "libmod\afm.h"

#include "lib.h"
#include "iwram.h"
#include "irq.h"
#include "syscall.h"

#include "resource.h"
//#include "resource\BGFont.h"
//#include "resource\BitMapFont.h"

//---------------------------------------------------------------------------
u8 __afm_work[0x400+0x100] IN_IWRAM;	//ModPlayerp̈
//---------------------------------------------------------------------------
void Init();
void waitline(u32 line);
//---------------------------------------------------------------------------
int main(void)
{
	Init();
	SetMode(MODE_0 | BG2_ENABLE);


	u16* paletteMem = (u16*)0x5000000;
	for(;;)
	{
		waitline(0);
		*paletteMem = (u16)0xff00;

		afm_update();

		*paletteMem = (u16)0x0000;
		waitline(160);

		afm_sync();
	}
	afm_deinit();
	return 0;
}
//---------------------------------------------------------------------------
void Init()
{
	REG_WSCNT = CST_ROM0_1ST_3WAIT | CST_ROM0_2ND_1WAIT;

	afm_install();
	afm_init((u8*)&smarioa_bin);
	afm_sound_param((u32)0xff>>2,2);
}
//---------------------------------------------------------------------------
void waitline(u32 line)
{
	while(REG_VCOUNT != line){};
}
